Автор Тема: [Решено]Не могу установить slurm  (Прочитано 3854 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн kylakevu4

[Решено]Не могу установить slurm
« : 23 Августа 2013, 12:57:07 »
sudo apt-get update
sudo apt-get install slurm

Чтение списка пакетов...Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Е: Не удалось найти пакет slurm

Вопрос: в каком репозитории находиться даний пакет?
« Последнее редактирование: 02 Сентября 2013, 13:41:06 от kylakevu4 »
 

Yrii

  • Гость
Re: Не могу установить slurm
« Ответ #1 : 23 Августа 2013, 13:23:56 »
Покажи /etc/apt/sources.list

http://packages.debian.org/search?suite=all&section=all&arch=any&searchon=names&keywords=slurm

т.е. он есть как минимум в этом репозитории - deb http://ftp.ru.debian.org/debian/ wheezy main
 

Оффлайн kylakevu4

Re: Не могу установить slurm
« Ответ #2 : 23 Августа 2013, 13:31:39 »
#

# deb cdrom:[Debian GNU/Linux 6.0.4 _Squeeze_ - Official i386 DVD Binary-1 20120128-12:53]/ squeeze contrib main

# deb cdrom:[Debian GNU/Linux 6.0.4 _Squeeze_ - Official i386 DVD Binary-1 20120128-12:53]/ squeeze contrib main

deb http://security.debian.org/ squeeze/updates main contrib
deb-src http://security.debian.org/ squeeze/updates main contrib

# squeeze-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
deb http://ftp.debian.org/debian/ squeeze-updates main contrib
deb http://http.us.debian.org/debian/ squeeze contrib
deb-src http://http.us.debian.org/debian/ squeeze contrib
deb-src http://ftp.debian.org/debian/ squeeze-updates main contrib
вот мой соурс лист
дописал
Spoiler: ShowHide
#

# deb cdrom:[Debian GNU/Linux 6.0.4 _Squeeze_ - Official i386 DVD Binary-1 20120128-12:53]/ squeeze contrib main

# deb cdrom:[Debian GNU/Linux 6.0.4 _Squeeze_ - Official i386 DVD Binary-1 20120128-12:53]/ squeeze contrib main

deb http://security.debian.org/ squeeze/updates main contrib
deb-src http://security.debian.org/ squeeze/updates main contrib

# squeeze-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
deb http://ftp.debian.org/debian/ squeeze-updates main contrib
deb http://http.us.debian.org/debian/ squeeze contrib
deb http://ftp.ua.denian.org/debian/ wheezy main
deb-src http://http.us.debian.org/debian/ squeeze contrib
deb-src http://ftp.debian.org/debian/ squeeze-updates main contrib

результат
Spoiler: ShowHide
root@debian:/хххх/уууууу# apt-get update
Ош  http://ftp.ru.denian.org wheezy Release.gpg
  Не удалось найти IP адрес для ftp.ru.denian.org
Ош  http://ftp.ru.denian.org/debian/ wheezy/main Translation-en                                                                               
  Не удалось найти IP адрес для ftp.ru.denian.org
Ош  http://ftp.ru.denian.org/debian/ wheezy/main Translation-ru                                                                               
  Не удалось найти IP адрес для ftp.ru.denian.org
Получено:1 http://ftp.debian.org squeeze-updates Release.gpg [1.571 B]                                                                       
В кэше http://http.us.debian.org squeeze Release.gpg                                                                                         
Игн http://http.us.debian.org/debian/ squeeze/contrib Translation-en               
Игн http://http.us.debian.org/debian/ squeeze/contrib Translation-ru               
В кэше http://security.debian.org squeeze/updates Release.gpg                                                             
В кэше http://http.us.debian.org squeeze Release                                                                           
Игн http://security.debian.org/ squeeze/updates/contrib Translation-en                                   
Игн http://security.debian.org/ squeeze/updates/contrib Translation-ru             
Игн http://ftp.debian.org/debian/ squeeze-updates/contrib Translation-en                                                   
Игн http://ftp.debian.org/debian/ squeeze-updates/contrib Translation-ru                                                   
Игн http://security.debian.org/ squeeze/updates/main Translation-en                                                       
Игн http://security.debian.org/ squeeze/updates/main Translation-ru                                                       
В кэше http://security.debian.org squeeze/updates Release                         
В кэше http://http.us.debian.org squeeze/contrib Sources                                                 
Игн http://ftp.debian.org/debian/ squeeze-updates/main Translation-en                                     
Игн http://ftp.debian.org/debian/ squeeze-updates/main Translation-ru                                                     
В кэше http://security.debian.org squeeze/updates/main Sources                                                             
Получено:2 http://ftp.debian.org squeeze-updates Release [113 kB]                                                         
В кэше http://http.us.debian.org squeeze/contrib i386 Packages                                                 
В кэше http://security.debian.org squeeze/updates/contrib Sources                                               
В кэше http://security.debian.org squeeze/updates/main i386 Packages   
В кэше http://security.debian.org squeeze/updates/contrib i386 Packages
В кэше http://ftp.debian.org squeeze-updates/main Sources/DiffIndex     
Получено:3 http://ftp.debian.org squeeze-updates/contrib Sources [14 B]
В кэше http://ftp.debian.org squeeze-updates/main i386 Packages/DiffIndex
Получено:4 http://ftp.debian.org squeeze-updates/contrib i386 Packages [14 B]
Получено:5 http://ftp.debian.org squeeze-updates/main i386 Packages [4.654 B]
Получено 120 kБ за 3с (39,8 kБ/c)         
Чтение списков пакетов... Готово
W: Недоступен открытый ключ для следующих ID ключей:
8B48AD6246925553
W: Не удалось получить http://ftp.ru.denian.org/debian/dists/wheezy/Release.gpg  Не удалось найти IP адрес для ftp.ru.denian.org

W: Не удалось получить http://ftp.ru.denian.org/debian/dists/wheezy/main/i18n/Translation-en.bz2  Не удалось найти IP адрес для ftp.ru.denian.org

W: Не удалось получить http://ftp.ru.denian.org/debian/dists/wheezy/main/i18n/Translation-ru.bz2  Не удалось найти IP адрес для ftp.ru.denian.org

W: Некоторые индексные файлы не скачались, они были проигнорированы или вместо них были использованы старые версии
root@debian:/хххх/уууууу#

root@debian:/хххх/ууууууу# apt-get install slurm
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
E: Не удалось найти пакет slurm
« Последнее редактирование: 23 Августа 2013, 13:45:46 от kylakevu4 »
 

Оффлайн qupl

Re: Не могу установить slurm
« Ответ #3 : 23 Августа 2013, 14:02:08 »
kylakevu4,  дописывать не надо. Вы смешали репозитории разных релизов squeeze и wheezy.

Оффлайн endru

Re: Не могу установить slurm
« Ответ #4 : 23 Августа 2013, 14:02:35 »
удали строку! у тебя система не wheezy.
deb http://ftp.ru.debian.org/debian/ wheezy mainизмени строку:
deb http://http.us.debian.org/debian/ squeeze contribна
deb http://http.us.debian.org/debian/ squeeze contrib main
обнови репы и попробуй поставить

Оффлайн kylakevu4

Re: Не могу установить slurm
« Ответ #5 : 23 Августа 2013, 14:17:27 »
root@debian:/xxxx/yyyyyyy# apt-get update
В кэше http://security.debian.org squeeze/updates Release.gpg
Игн http://security.debian.org/ squeeze/updates/contrib Translation-en                               
Игн http://security.debian.org/ squeeze/updates/contrib Translation-ru                                 
Игн http://security.debian.org/ squeeze/updates/main Translation-en                                   
Игн http://security.debian.org/ squeeze/updates/main Translation-ru                                   
В кэше http://ftp.debian.org squeeze-updates Release.gpg                                               
Игн http://ftp.debian.org/debian/ squeeze-updates/contrib Translation-en                               
Игн http://ftp.debian.org/debian/ squeeze-updates/contrib Translation-ru                                                                     
Игн http://ftp.debian.org/debian/ squeeze-updates/main Translation-en                                                                         
Игн http://ftp.debian.org/debian/ squeeze-updates/main Translation-ru                                 
В кэше http://security.debian.org squeeze/updates Release                                             
В кэше http://ftp.debian.org squeeze-updates Release                                                     
В кэше http://security.debian.org squeeze/updates/main Sources                                           
В кэше http://ftp.debian.org squeeze-updates/main Sources/DiffIndex               
В кэше http://http.us.debian.org squeeze Release.gpg                               
Игн http://http.us.debian.org/debian/ squeeze/contrib Translation-en               
Игн http://http.us.debian.org/debian/ squeeze/contrib Translation-ru                                                       
В кэше http://security.debian.org squeeze/updates/contrib Sources                                                         
В кэше http://security.debian.org squeeze/updates/main i386 Packages                                                       
В кэше http://security.debian.org squeeze/updates/contrib i386 Packages           
В кэше http://ftp.debian.org squeeze-updates/contrib Sources                       
В кэше http://ftp.debian.org squeeze-updates/main i386 Packages/DiffIndex         
В кэше http://ftp.debian.org squeeze-updates/contrib i386 Packages
В кэше http://ftp.debian.org squeeze-updates/main i386 Packages
В кэше http://http.us.debian.org squeeze Release
В кэше http://http.us.debian.org squeeze/contrib Sources
Получено:1 http://http.us.debian.org squeeze/main Sources [4.541 kB]
В кэше http://http.us.debian.org squeeze/contrib i386 Packages                                                                               
Получено 4.541 kБ за 1мин 12с (63,0 kБ/c)                                                                                                     
Чтение списков пакетов... Готово
W: Недоступен открытый ключ для следующих ID ключей:
8B48AD6246925553
не хочет :'(
root@debian:/xxxx/yyyyyy# apt-get install slurm
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
E: Не удалось найти пакет slurm
 

Оффлайн endru

Re: Не могу установить slurm
« Ответ #6 : 23 Августа 2013, 15:44:50 »
упустил в прошлый раз... у тебя открытого ключа нет. попробуй поставить:

apt-get install debian-archive-keyring
и обновиться еще раз

apt-get update

Оффлайн kylakevu4

Re: Не могу установить slurm
« Ответ #7 : 23 Августа 2013, 16:19:53 »
так же W: Недоступен открытый ключ для следующих ID ключей:
8B48AD6246925553
 

Оффлайн endru

Re: Не могу установить slurm
« Ответ #8 : 23 Августа 2013, 16:33:38 »
Тогда так:
gpg --keyserver subkeys.pgp.net --recv 8B48AD6246925553
gpg --export --armor 8B48AD6246925553 | sudo apt-key add -
apt-get update
apt-get install slurm

Оффлайн kylakevu4

Re: Не могу установить slurm
« Ответ #9 : 27 Августа 2013, 16:46:29 »
выполнил gpg --keyserver subkeys.pgp.net --recv 8B48AD6246925553получил gpg --keyserver subkeys.pgp.net --recv 8B48AD6246925553
gpg: создан каталог `/root/.gnupg'
gpg: создан новый файл настроек `/root/.gnupg/gpg.conf'
gpg: ВНИМАНИЕ: параметры в `/root/.gnupg/gpg.conf' еще не активны при этом запуске
gpg: создана таблица ключей `/root/.gnupg/secring.gpg'
gpg: создана таблица ключей `/root/.gnupg/pubring.gpg'
gpg: запрашиваю ключ 46925553 с hkp сервера subkeys.pgp.net
gpg: /root/.gnupg/trustdb.gpg: создана таблица доверий
gpg: ключ 46925553: открытый ключ "Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>" импортирован
gpg: не найдено абсолютно доверяемых ключей
gpg: Всего обработано: 1
gpg:                  импортировано: 1  (RSA: 1)
и насторажывает меня эта строчкаgpg: ключ 46925553: открытый ключ "Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>" импортирован а именно (7,0/wheezy), следующих команд не выполнял :-[
« Последнее редактирование: 27 Августа 2013, 16:49:56 от kylakevu4 »
 

Оффлайн endru

Re: Не могу установить slurm
« Ответ #10 : 27 Августа 2013, 18:02:58 »
следующих команд не выполнял :-[
зря. я на Squeeze проверил. у меня всё заработало.

Оффлайн kylakevu4

Re: Не могу установить slurm
« Ответ #11 : 28 Августа 2013, 11:26:12 »
выполнил все команди, и не хочет :-\
root@debian:/home/хххххх# gpg --keyserver subkeys.pgp.net --recv 8B48AD6246925553
Spoiler: ShowHide
gpg: запрашиваю ключ 46925553 с hkp сервера subkeys.pgp.net
gpg: ключ 46925553: "Debian Archive Automatic Signing Key (7.0/wheezy) <ftpmaster@debian.org>" не изменен
gpg: Всего обработано: 1
gpg:                   неизмененных: 1

root@debian:/home/хххххх# gpg --export --armor 8B48AD6246925553 | sudo apt-key add -
Spoiler: ShowHide

root@debian:/home/хххххх# apt-get update
Spoiler: ShowHide
В кэше http://security.debian.org squeeze/updates Release.gpg
Игн http://security.debian.org/ squeeze/updates/contrib Translation-en           
Игн http://security.debian.org/ squeeze/updates/contrib Translation-ru             
Игн http://security.debian.org/ squeeze/updates/main Translation-en               
Игн http://security.debian.org/ squeeze/updates/main Translation-ru               
В кэше http://security.debian.org squeeze/updates Release                         
В кэше http://http.us.debian.org squeeze Release.gpg                                                     
Игн http://http.us.debian.org/debian/ squeeze/contrib Translation-en               
Игн http://http.us.debian.org/debian/ squeeze/contrib Translation-ru                                                       
В кэше http://security.debian.org squeeze/updates/main Sources                                                             
В кэше http://ftp.debian.org squeeze-updates Release.gpg                                                                   
В кэше http://security.debian.org squeeze/updates/contrib Sources                 
В кэше http://security.debian.org squeeze/updates/main i386 Packages               
Игн http://ftp.debian.org/debian/ squeeze-updates/contrib Translation-en                                                   
Игн http://ftp.debian.org/debian/ squeeze-updates/contrib Translation-ru                                                   
В кэше http://security.debian.org squeeze/updates/contrib i386 Packages           
Игн http://ftp.debian.org/debian/ squeeze-updates/main Translation-en             
Игн http://ftp.debian.org/debian/ squeeze-updates/main Translation-ru             
В кэше http://http.us.debian.org squeeze Release
В кэше http://http.us.debian.org squeeze/contrib Sources         
В кэше http://http.us.debian.org squeeze/main Sources
В кэше http://http.us.debian.org squeeze/contrib i386 Packages
В кэше http://ftp.debian.org squeeze-updates Release
В кэше http://ftp.debian.org squeeze-updates/main Sources/DiffIndex
В кэше http://ftp.debian.org squeeze-updates/contrib Sources
В кэше http://ftp.debian.org squeeze-updates/main i386 Packages/DiffIndex
В кэше http://ftp.debian.org squeeze-updates/contrib i386 Packages
В кэше http://ftp.debian.org squeeze-updates/main i386 Packages
Чтение списков пакетов... Готово

root@debian:/home/хххххх# apt-get install slurm
Spoiler: ShowHide
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
E: Не удалось найти пакет slurm
 

Оффлайн endru

Re: Не могу установить slurm
« Ответ #12 : 02 Сентября 2013, 08:03:41 »
Для теста можно попробовать заменить sources.list на такой:

Spoiler: ShowHide
deb http://mirror.yandex.ru/debian/ squeeze main contrib
deb-src http://mirror.yandex.ru/debian/ squeeze main contrib

deb http://security.debian.org/ squeeze/updates main contrib
deb-src http://security.debian.org/ squeeze/updates main contrib


свои строчки только закомментируй "решеткой", и обнови репы.

Оффлайн kylakevu4

Re: Не могу установить slurm
« Ответ #13 : 02 Сентября 2013, 13:40:22 »
Спасибо :D, работает
 

Теги: